Index: org/postgresql/test/jdbc2/ResultSetTest.java
===================================================================
RCS file: /projects/cvsroot/pgsql-server/src/interfaces/jdbc/org/postgresql/test/jdbc2/ResultSetTest.java,v
retrieving revision 1.7
diff -c -p -r1.7 ResultSetTest.java
*** org/postgresql/test/jdbc2/ResultSetTest.java	29 May 2003 04:39:48 -0000	1.7
--- org/postgresql/test/jdbc2/ResultSetTest.java	4 Aug 2003 14:51:02 -0000
*************** import org.postgresql.test.TestUtil;
*** 4,9 ****
--- 4,10 ----
  import java.sql.Connection;
  import java.sql.ResultSet;
  import java.sql.Statement;
+ import java.sql.SQLException;
  
  import junit.framework.TestCase;
  
*************** public class ResultSetTest extends TestC
*** 85,88 ****
--- 86,116 ----
  		}
  
  	}
+ 	
+ 	public void testFetchDirection()
+ 	{
+ 		try
+ 		{
+ 			Statement stmt = con.createStatement();
+ 			stmt.setFetchDirection(ResultSet.FETCH_FORWARD);
+ 			con.setAutoCommit(false);
+ 			stmt.setFetchSize(2);
+ 			ResultSet rs = stmt.executeQuery("select * from testrs");
+ 			for (int i = 1; i<5; i++)
+ 			{
+ 				assertTrue(rs.next());
+ 				assertEquals(rs.getInt(1), i);
+ 			}
+ 			rs.setFetchDirection(ResultSet.FETCH_REVERSE);
+ 			for (int i = 3; i>0; i--)
+ 			{
+ 				assertTrue(rs.next());
+ 				assertEquals(rs.getInt(1), i);
+ 			}
+ 		}
+ 		catch (SQLException sqle)
+ 		{
+ 			fail(sqle.getMessage());
+ 		}
+ 	}			
  }
